void localtemp(int itau){
  int ipart,ires,code;
  double *r,*p,rapidity;
  char prot_filename[34];
  char pion_filename[34];
  FILE *prot_file,*pion_file;

  sprintf(prot_filename,"results/localtemp/prot_tau%02d.dat",itau);
  sprintf(pion_filename,"results/localtemp/pion_tau%02d.dat",itau);
  prot_file=fopen(prot_filename,"a");
  pion_file=fopen(pion_filename,"a");

  ipart=firstpart;
  
  while(ipart!=-1){
    ires=partinfo[ipart].ires;
    code=resinfo[ires].code;
    p=partinfo[ipart].p;
    r=partinfo[ipart].r;
    rapidity=0.5*log((p[0]+p[3])/(p[0]-p[3]));
    if((code==111 || code==211 || code==-211) && rapidity<0.5){
      fprintf(pion_file,"%g %g %g %g %g %g %g %g\n",
	      r[0],r[1],r[2],r[3],p[0],p[1],p[2],p[3]);
    }
    if((code==2212 || code==2112) && rapidity<0.5){
      fprintf(prot_file,"%g %g %g %g %g %g %g %g\n",
	      r[0],r[1],r[2],r[3],p[0],p[1],p[2],p[3]);
    }
    ipart=partinfo[ipart].next;
  }

  fclose(pion_file);
  fclose(prot_file);
}
